Subject: Re: [PATCH net-next v2 12/15] net: page_pool: report when page pool was destroyed

From: Jakub Kicinski <[email-masked]>
Date: Tue, 21 Nov 2023 13:49:08 -0800

On Tue, 21 Nov 2023 21:45:57 +0100 Jesper Dangaard Brouer wrote:
> Hmm, this is called when kernel could *NOT* destroy the PP, but have to 
> start a work-queue that will retry deleting this. Thus, I think naming 
> this "destroyed" is confusing as I then assumed was successfully 
> destroyed, but it is not, instead it is on "deathrow".

I wasn't sure what to call it so I called what the driver API is
called...

"deathrow" does not sound very intuitive to me. How about "detached"
or "removed"?

> Could we place this PP instance on another list of PP instances about to 
> be deleted?
> 
> (e.g. a deathrow or sched_destroy list)

Is there a need for that?

I mean - many interesting extensions to this API are possible.
I don't think they should all can all be here from day 1..

> Perhaps this could also allow us to list those PP instances that 
> no-longer have a netdev associated?

The current implementation uses loopback for that, since it's naturally
tied to a name space.